Is SecuPress compatible with other security plugins, like WordFence or iThemes Security ?

No, SecuPress can't be compatible with other security plugins, just like you can't add two caching plugins to your site.

The reason is that each plugin is going to block certain things and add security rules, and they're inevitably going to step on each other's toes. These rules may conflict with each other and trigger unexpected errors on your site.

You have to delete every other security plugin before activating SecuPress. If you're not sure, please ask on Twitter, Facebook, via chat or on the support page.